Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Gregory Heytings <[email-masked]>
Date: Thu, 09 Feb 2023 01:57:50 +0000

As promised, I worked on this.  Alas, while doing that I found out that 
the existing code had a grave bug, which I corrected.  However, this 
touches src/bytecode.c, lisp/emacs-lisp/bytecomp.el and src/comp.c, so I'm 
(to say the least) uncomfortable pushing that fix to emacs-29.  The result 
of the bug fix, a few renames, the documentation update, and an added 
test, is in scratch/fix-locked-narrowing.  I did a make bootstrap and a 
make check after each step, all of them succeeded.